import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import { Row, Col } from "reactstrap";
import { getSanksi } from "@/actions/sanksi";
import TableSanksi from "@/components/PT/TableSanksi";
import { connect } from "react-redux";
import Loader from "@/components/Common/Loader";

class Pelaporan extends Component {
	constructor(props) {
		super(props);
		this.state = {
			sanksi: {},
		};
	}

	componentDidMount = async () => {
		const { user } = this.props;
		const org_id = user.peran[0].organisasi.id;
		const sanksi = await getSanksi({ ptId: org_id });
		this.setState({ sanksi });
	};

	render() {
		const { sanksi } = this.state;
		return (
			<ContentWrapper>
				<div className="content-heading">Dokumen Perbaikan</div>
				<Row>
					<Col lg={12}>{sanksi.data && sanksi.data.length > 0 ? <TableSanksi listData={sanksi.data} to="/app/pt/dokumen-perbaikan/detail" linkName="Detail" /> : sanksi.data ? 'Tidak ada Sanksi' : <Loader />}</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

const mapStateToProps = (state) => ({ user: state.user });
export default connect(mapStateToProps)(Pelaporan);
